org.apache.uima.cas.impl

## Class TypeImpl_stringSubtype

- java.lang.Object
- - org.apache.uima.cas.impl.TypeImpl
  - - org.apache.uima.cas.impl.TypeImpl_primitive
    - - org.apache.uima.cas.impl.TypeImpl_string
      - - org.apache.uima.cas.impl.TypeImpl_stringSubtype

- All Implemented Interfaces:
    Comparable<TypeImpl>, Iterable<Feature>, Type

      public class TypeImpl_stringSubtype
      extends TypeImpl_string

- - ### Field Summary

    - ### Fields inherited from class org.apache.uima.cas.impl.TypeImpl

      `isBuiltIn, isCreatableAndNotBuiltinArray, isFeatureFinal, isInheritanceFinal, isLongOrDouble, isRefType, javaClass, singleton`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeImpl_stringSubtype(String name, TypeSystemImpl tsi, TypeImpl supertype, Set<String> allowedValues)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isStringSubtype()` Check if the type is a String subtype.

    - ### Methods inherited from class org.apache.uima.cas.impl.TypeImpl_string

      `isStringOrStringSubtype, subsumes`

    - ### Methods inherited from class org.apache.uima.cas.impl.TypeImpl_primitive

      `isPrimitive`

    - ### Methods inherited from class org.apache.uima.cas.impl.TypeImpl

      `compareTo, equals, getAppropriateFeatures, getCode, getComponentSlotKind, getComponentType, getFeature, getFeatureByBaseName, getFeatureImpls, getFeatures, getFeaturesAsStream, getFsSpaceReq, getFsSpaceReq, getFsSpaceReq, getJCasClassName, getMergedStaticFeaturesIntroducedByThisType, getName, getNbrOfLongOrDoubleFeatures, getNumberOfFeatures, getShortName, getSuperType, getTypeSystem, hashCode, hashCodeNameLong, hasRefFeature, isAnnotationBaseType, isAnnotationType, isAppropriateFeature, isArray, isCreatableAndNotBuiltinArray, isFeatureFinal, isInheritanceFinal, isLongOrDouble, isTopType, isTypedFsArray, iterator, prettyPrint, prettyPrintWithSubTypes, subsumesStrictly, subsumesValue, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.cas.Type

      `subsumes`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### TypeImpl_stringSubtype

          public TypeImpl_stringSubtype(String name,
                                        TypeSystemImpl tsi,
                                        TypeImpl supertype,
                                        Set<String> allowedValues)

  - ### Method Detail

    - #### isStringSubtype

          public boolean isStringSubtype()

      Description copied from interface: `Type`
      Check if the type is a String subtype. Note: returns false if a plain string
      Specified by:
        `isStringSubtype` in interface `Type`
      Overrides:
        `isStringSubtype` in class `TypeImpl`
      Returns:
        `true` iff the type is a String subtype type; false for plain string
      See Also:
        `Type.isStringSubtype()`

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.